Bug 1129479 - Add ability for user to configure which guest monitors are used in fullscreen mode
Summary: Add ability for user to configure which guest monitors are used in fullscreen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Virt Viewer Maint
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1129477 1179477
Blocks: 957593 1009648 1233422
TreeView+ depends on / blocked
 
Reported: 2014-08-12 21:01 UTC by Jonathon Jongsma
Modified: 2015-07-22 06:31 UTC (History)
10 users (show)

Fixed In Version: virt-viewer-2.0-1.el6
Doc Type: Bug Fix
Doc Text:
It is now possible to configure the position in which guest displays in multi-monitor setups. To do so, edit the ~/.config/virt-viewer/settings file. For more information about this feature, refer to the CONFIGURATION section of the remote-viewer(1) manual page.
Clone Of: 1129477
: 1233422 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:31:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1322 normal SHIPPED_LIVE virt-viewer and spice-gtk bug fix and enhancement update 2015-07-20 17:53:14 UTC

Description Jonathon Jongsma 2014-08-12 21:01:17 UTC
+++ This bug was initially created as a clone of Bug #1129477 +++

Currently, when virt-viewer / remote-viewer is started in fullscreen mode, we attempt to place a fullscreen guest dislay on each local monitor. It should be possible for the user to customize this behavior

--- Additional comment from Jonathon Jongsma on 2014-08-12 17:00:01 EDT ---

Support is upstream.

Relevant commits:
b684a76fa4147ecf5c241476d9c362cfff404c29
539e6724374f22194d38bcab876e48e97517b843
0ca9959f00d4970b4398d48b77fd3f08f78a1855

Comment 1 Jonathon Jongsma 2014-09-24 15:24:17 UTC
Additional related commits:

f317e950969738783919ea7d7f3a2fa9ddd44c3b
f26a5fe16cc5d71a3edad17026ab35411286b140

Comment 2 Jonathon Jongsma 2015-02-09 16:33:40 UTC
Will be solved by rebase

Comment 4 CongDong 2015-03-11 10:38:27 UTC
Test with:
virt-viewer-2.0-2.el6

Steps:
Prepare a 4 monitors machine
1. # virsh dominfo 3
Id:             3
Name:           rhel6u6-clone
UUID:           4fddea58-9dc1-a8eb-bc03-7575209789ed
...

2. edit config file
# cat ~/.config/virt-viewer/settings 
rhel6u6-clone
[4fddea58-9dc1-a8eb-bc03-7575209789ed]
monitor-mapping=1:4;2:3

3. virt-viewer 3 -f

4. retest with:
monitor-mapping=1:4;2:3
 - 1:3;2:4;3:2
 - 1:2;2:4;3:1;4:3
 - 1:1;2:1(invalid)
 - 1:2;2:b(invalid)
 - 1:3;a:2(invalid)

Result:
display can be placed to the right monitor with right resolution.

Another problem, if configure virt-viewer with more than one displays, displays which are not specified in config file still come out.
So I clone a bug for it - Bug 1200750.

As the result, move to VERIFIED.

Comment 6 errata-xmlrpc 2015-07-22 06:31:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1322.html


Note You need to log in before you can comment on or make changes to this bug.